%global gem_name        http-cookie
%global rubyabi 1.9.1
Name:                rubygem-%{gem_name}
Version:             1.0.5
Release:             1
Summary:             Ruby library to handle HTTP Cookies based on RFC 6265
License:             MIT
URL:                 https://github.com/sparklemotion/http-cookie
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires:            ruby(release)
BuildRequires:       ruby(release)
BuildRequires:       rubygems-devel rubygem(test-unit) rubygem(domain_name) rubygem(sqlite3)
Requires:            ruby(rubygems) rubygem(domain_name)
BuildArch:           noarch
Provides:            rubygem(%{gem_name}) = %{version}-%{release}
%description
HTTP::Cookie is a Ruby library to handle HTTP Cookies based on RFC 6265.  It
has with security, standards compliance and compatibility in mind, to behave
just the same as today's major web browsers.  It has builtin support for the
legacy cookies.txt and the latest cookies.sqlite formats of Mozilla Firefox,
and its modular API makes it easy to add support for a new backend store.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}

%prep
%setup -q -c -T
TOPDIR=$(pwd)
mkdir tmpunpackdir
pushd tmpunpackdir
gem unpack %{SOURCE0}
cd %{gem_name}-%{version}
gem specification -l --ruby %{SOURCE0} > %{gem_name}.gemspec
gem build %{gem_name}.gemspec
mv %{gem_name}-%{version}.gem $TOPDIR
popd
rm -rf tmpunpackdir

%build
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
pushd %{buildroot}%{gem_instdir}
rm -rf .gitignore .travis.yml .github
rm -f Gemfile Rakefile
rm -f %{gem_name}.gemspec
popd

%check
pushd .%{gem_instdir}
ruby -Ilib:test:. -e 'Dir.glob("test/test_*.rb").each {|f| require f}'
popd

%files
%dir    %{gem_instdir}
%doc    %{gem_instdir}/[A-Z]*
%{gem_libdir}/
%exclude        %{gem_cache}
%{gem_spec}

%files doc
%doc    %{gem_docdir}/
%exclude        %{gem_instdir}/test/

%changelog
* Wed Jan 4 2023 liyanan <liyanan32@h-partners.com> - 1.0.5-1
- Update to 1.0.5

* Wed Aug 26 2020 tushenmei <tushenmei@huawei.com> - 1.0.3-1
- package init
